Strategies

Get all strategies

get

Retrieves a list of all strategies.

Responses
chevron-right
200

List of strategies

application/json
get
/strategies/

Delete a strategy

delete

Deletes an existing strategy identified by its ID.

Path parameters
strategy_idstringRequired

Strategy ID

Responses
chevron-right
200

OK

No content

delete
/strategies/{strategy_id}

No content

Rename a strategy

patch

Renames an existing strategy identified by its ID.

Path parameters
strategy_idstringRequired

Strategy ID

Body
new_namestringOptional
Responses
chevron-right
200

OK

No content

patch
/strategies/{strategy_id}

No content

Create a new strategy

post

Creates a new strategy.

Body
Responses
post
/strategies/

Update an existing strategy

put

Updates an existing strategy identified by its ID.

Path parameters
strategy_idstringRequired

Strategy ID

Body
Responses
chevron-right
200

OK

No content

put
/strategies/{strategy_id}

No content

Last updated